Dub’s API is capped at 60 requests per minute per key on the Free plan, with elevated limits for Pro plan and above.
This is implemented to ensure a fair usage policy so that excessive use by a single user does not adversely affect the performance and usage of the API by others.
You’ll receive a
429 Too Many Requests response code if the rate limit is exceeded.
Rate limits by plan
Depending on your Dub plan, you can expect the following rate limits:Rate limits by endpoint
Dub’s analytics endpoints have separate, per-second rate limits to ensure optimal performance:
Analytics endpoints include:
GET /analytics– retrieving aggregated analyticsGET /events– retrieving paginated lists of events
POST /messages also has a separate limit of 10 messages per minute to the same partner. This limit applies to your whole program, not to each API key.
How to comply with rate limits
Here’s how you can optimize your API setup to comply with rate limits:1. Bulk link creation
If you need to create a lot of links within a short period of time, try our bulk link creation endpoint instead (create up to 100 links in one API call)2. Fetch workspace-level analytics
If you’re using our Analytics API, instead of retrieving the clicks count for every single link, try making a single API call to get workspace-level click analytics instead.3. Leverage webhooks
If you’re expecting high volume, fast-changing data (e.g. thousands of clicks on your links per day) and would prefer to store the data on your end, we recommend using our real-time webhooks feature instead.